指定したIDのCityGMLパックファイルをダウンロード
GET
/citygml/pack/{id}.zip
const url = 'https://api.plateauview.mlit.go.jp/citygml/pack/example.zip';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.plateauview.mlit.go.jp/citygml/pack/example.zipParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
パックID
Responses
Section titled “ Responses ”リダイレクトしてファイルのダウンロードが開始
ファイルの状態が不正または処理未完了
Media type application/json
object
error
required
エラーメッセージ
string
reason
エラーの原因
string
url
エラーが発生したURL
string
Example generated
{ "error": "example", "reason": "example", "url": "example"}ファイルが存在しない
Media type application/json
object
error
string
Example generated
{ "error": "example"}